import { html as h } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as n } from "./PieIconComponent.js";
import { safeCustomElement as g } from "@justeattakeaway/pie-webc-core";
var d = Object.defineProperty, f = Object.getOwnPropertyDescriptor, p = (c, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? f(t, s) : t, l = c.length - 1, o; l >= 0; l--)
    (o = c[l]) && (e = (r ? o(t, s, e) : o(e)) || e);
  return r && e && d(t, s, e), e;
};
let i = class extends n {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--gridViewFilledLarge", this.class = "c-pieIcon c-pieIcon--gridViewFilledLarge", this.name = "IconGridViewFilledLarge";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--gridViewFilledLarge"><path d="M4.625 14.25h9.625V4.625H4.625v9.625Z"></path><path d="M17.75 14.25h9.625V4.625H17.75v9.625Z"></path><path d="M4.625 27.375h9.625V17.75H4.625v9.625Z"></path><path d="M17.75 27.375h9.625V17.75H17.75v9.625Z"></path></svg>`;
  }
};
p([
  a({ type: String, reflect: !0 })
], i.prototype, "size", 2);
p([
  a({ type: String, reflect: !0 })
], i.prototype, "class", 2);
i = p([
  g("icon-grid-view-filled-large")
], i);
export {
  i as IconGridViewFilledLarge
};
